# SoConeDetail Class Reference
[Detail classes]

`#include <Inventor/details/SoConeDetail.h>`

Inheritance diagram for SoConeDetail:

List of all members.

## Detailed Description

The SoConeDetail class contains information about the parts of a SoCone shape.

Instances of this class are used for storing information about hit points on cone geometry after pick operations, and for storing information returned to tessellation callbacks.

See also:
  SoCone, SoRayPickAction, SoCallbackAction

## Public Member Functions

| SoConeDetail (void)
virtual | ~SoConeDetail ()
virtual SoDetail * | copy (void) const
void | setPart (const int part)
int | getPart (void) const

## Static Public Member Functions

void | initClass (void)

## Protected Attributes

int | part

## Constructor & Destructor Documentation

SoConeDetail::SoConeDetail | ( | void |  | ) |

| Constructor.

SoConeDetail::~SoConeDetail | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoConeDetail::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoDetail.

SoDetail * SoConeDetail::copy | ( | void |  | ) | const`[virtual]`

Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

void SoConeDetail::setPart | ( | const int | part | ) |

| Set the part of a cone which was selected. A cone has two different conceptual parts; SoCone::SIDES or SoCone::BOTTOM.

int SoConeDetail::getPart | ( | void |  | ) | const

| Returns selected cone part, either SoCone::SIDES or SoCone::BOTTOM.

## Member Data Documentation

int SoConeDetail::part`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SoConeDetail.h
- SoConeDetail.cpp